import type { ErrorInfo, PropsWithChildren } from 'react';
import React from 'react';
import './style';
declare class WauErrorBoundary extends React.Component<PropsWithChildren<{}>, {
    hasError: boolean;
    errorInfo: string;
}> {
    constructor(props: {});
    static getDerivedStateFromError(error: Error): {
        hasError: boolean;
        errorInfo: string;
    };
    componentDidCatch(error: any, errorInfo: ErrorInfo): void;
    render(): string | number | boolean | import("react/jsx-runtime").JSX.Element | React.ReactFragment | null | undefined;
}
export default WauErrorBoundary;
